Show / Hide Table of Contents

# Struct ImGuiTextBufferPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiTextBufferPtr

### Constructors

| Improve this Doc View Source

#### ImGuiTextBufferPtr(ImGuiTextBuffer*)

##### Declaration

    public ImGuiTextBufferPtr(ImGuiTextBuffer*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | nativePtr |

| Improve this Doc View Source

#### ImGuiTextBufferPtr(IntPtr)

##### Declaration

    public ImGuiTextBufferPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Buf

##### Declaration

    public ImVector<byte> Buf { get; }

##### Property Value

Type | Description
--- | ---
ImVector<System.Byte> |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiTextBuffer*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiTextBuffer* |

### Methods

| Improve this Doc View Source

#### append(String)

##### Declaration

    public void append(string str)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str |

| Improve this Doc View Source

#### appendf(String)

##### Declaration

    public void appendf(string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmt |

| Improve this Doc View Source

#### begin()

##### Declaration

    public string begin()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### c_str()

##### Declaration

    public string c_str()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### clear()

##### Declaration

    public void clear()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### empty()

##### Declaration

    public bool empty()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### end()

##### Declaration

    public string end()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### reserve(Int32)

##### Declaration

    public void reserve(int capacity)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | capacity |

| Improve this Doc View Source

#### size()

##### Declaration

    public int size()

##### Returns

Type | Description
--- | ---
System.Int32 |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiTextBuffer* to ImGuiTextBufferPtr)

##### Declaration

    public static implicit operator ImGuiTextBufferPtr(ImGuiTextBuffer*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTextBufferPtr |

| Improve this Doc View Source

#### Implicit(ImGuiTextBufferPtr to ImGuiTextBuffer*)

##### Declaration

    public static implicit operator ImGuiTextBuffer*(ImGuiTextBufferPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBufferPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiTextBuffer* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiTextBufferPtr)

##### Declaration

    public static implicit operator ImGuiTextBufferPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTextBufferPtr |